Edje Communication Interface: Message

- Main Page
- Related Pages
- Modules
- Namespaces
- Data Structures
- Files
- Examples

Data Structures | Typedefs | Functions
Edje Communication Interface: Message
Edje » Edje Object

Functions that deal with messages. More...

## Data Structures
struct | _Edje_Message_String
| Structure passed as value on EDJE_MESSAGE_STRING messages. More...
struct | _Edje_Message_Int
| Structure passed as value on EDJE_MESSAGE_INT messages. More...
struct | _Edje_Message_Float
| Structure passed as value on EDJE_MESSAGE_FLOAT messages. More...
struct | _Edje_Message_String_Set
| Structure passed as value on EDJE_MESSAGE_STRING_SET messages. More...
struct | _Edje_Message_Int_Set
| Structure passed as value on EDJE_MESSAGE_INT_SET messages. More...
struct | _Edje_Message_Float_Set
| Structure passed as value on EDJE_MESSAGE_FLOAT_SET messages. More...
struct | _Edje_Message_String_Int
| Structure passed as value on EDJE_MESSAGE_STRING_INT messages. More...
struct | _Edje_Message_String_Float
| Structure passed as value on EDJE_MESSAGE_STRING_FLOAT messages. More...
struct | _Edje_Message_String_Int_Set
| Structure passed as value on EDJE_MESSAGE_STRING_INT_SET messages. More...
struct | _Edje_Message_String_Float_Set
| Structure passed as value on EDJE_MESSAGE_STRING_FLOAT_SET messages. More...

## Typedefs
typedef struct _Edje_Message_String | Edje_Message_String
typedef struct _Edje_Message_Int | Edje_Message_Int
typedef struct _Edje_Message_Float | Edje_Message_Float
typedef struct _Edje_Message_String_Set | Edje_Message_String_Set
typedef struct _Edje_Message_Int_Set | Edje_Message_Int_Set
typedef struct _Edje_Message_Float_Set | Edje_Message_Float_Set
typedef struct _Edje_Message_String_Int | Edje_Message_String_Int
typedef struct _Edje_Message_String_Float | Edje_Message_String_Float
typedef struct _Edje_Message_String_Int_Set | Edje_Message_String_Int_Set
typedef struct _Edje_Message_String_Float_Set | Edje_Message_String_Float_Set
typedef void(* | Edje_Message_Handler_Cb) (void *data, Evas_Object *obj, Edje_Message_Type type, int id, void *msg)
| Edje message handler callback functions's prototype definition. More...

## Functions
void | edje_message_signal_process (void)
| Process all queued up edje messages. More...

## Detailed Description

Functions that deal with messages.

Edje has two communication interfaces between code and theme. Signals and messages.

Edje messages are one of the communication interfaces between code and a given Edje object's theme. With messages, one can communicate values like strings, float numbers and integer numbers. Moreover, messages can be identified by integer numbers. See Edje_Message_Type for the full list of message types.

Note
  Messages must be handled by scripts.

## Typedef Documentation

typedef void(* Edje_Message_Handler_Cb) (void *data, Evas_Object *obj, Edje_Message_Type type, int id, void *msg)

Edje message handler callback functions's prototype definition.

`data` will have the auxiliary data pointer set at the time the callback registration. `obj` will be a pointer the Edje object where the message comes from. `type` will identify the type of the given message and `msg` will be a pointer the message's contents, de facto, which depend on `type`.

## Function Documentation

void edje_message_signal_process | ( | void |  | ) |

Process all queued up edje messages.

This function triggers the processing of messages addressed to any (alive) edje objects.